package com.ruoyi.system.domain;



import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.annotation.Excel.ColumnType;
import com.ruoyi.common.core.domain.BaseEntity;
import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 方案表 scheme
 *
 * @author ruoyi
 */

public class Scheme extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    @Excel(name = "主键id", cellType = ColumnType.NUMERIC)
    private Long id;

    /** 方案id */
    @Excel(name = "方案id")

    private String schemeId;

    /**方案名称*/
    @Excel(name = "方案名称")
    private String name;

    /** 方案匹配度 */
    @Excel(name = "方案匹配度")

    private BigDecimal schemePmf;

    /** 设备组合 */
    @Excel(name = "设备组合")
    private String combination;

    /** 充电交流仓 */
    @Excel(name = "充电交流仓")

    private String chargingCount;

    /** 放电交流仓 */
    @Excel(name = "放电交流仓")

    private String dischargeCount;

    /** 直流舱系统 */
    @Excel(name = "直流舱系统")

    private String directCurrentCount;

    /** 牵引头 */
    @Excel(name = "牵引头")

    private String tractionHeadCount;

    /** 半挂车 */
    @Excel(name = "半挂车")

    private String productSemiTrailerCount;

    /** 预计年收益 */
    @Excel(name = "预计年收益")

    private String annualRevenue;

    /** 预计循环寿命 */
    @Excel(name = "预计循环寿命")

    private String cycleLife;

    /** 预计总投资 */
    @Excel(name = "预计总投资")

    private BigDecimal totalInvestment;

    /** 评估维度 */
    @Excel(name = "评估维度")

    private String evaluationDimension;
    private Long schemeExplorationId;



    public Long getId()
    {
        return id;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public String getSchemeId()
    {
        return schemeId;
    }

    public void setSchemeId(String schemeId)
    {
        this.schemeId = schemeId;
    }

    public BigDecimal getSchemePmf()
    {
        return schemePmf;
    }

    public void setSchemePmf(BigDecimal schemePmf)
    {
        this.schemePmf = schemePmf;
    }

    public String getCombination()
    {
        return combination;
    }

    public void setCombination(String combination)
    {
        this.combination = combination;
    }

    public String getChargingCount()
    {
        return chargingCount;
    }

    public void setChargingCount(String chargingCount)
    {
        this.chargingCount = chargingCount;
    }

    public String getDischargeCount()
    {
        return dischargeCount;
    }

    public void setDischargeCount(String dischargeCount)
    {
        this.dischargeCount = dischargeCount;
    }

    public String getDirectCurrentCount()
    {
        return directCurrentCount;
    }

    public void setDirectCurrentCount(String directCurrentCount)
    {
        this.directCurrentCount = directCurrentCount;
    }

    public String getTractionHeadCount()
    {
        return tractionHeadCount;
    }

    public void setTractionHeadCount(String tractionHeadCount)
    {
        this.tractionHeadCount = tractionHeadCount;
    }

    public String getProductSemiTrailerCount()
    {
        return productSemiTrailerCount;
    }

    public void setProductSemiTrailerCount(String productSemiTrailerCount)
    {
        this.productSemiTrailerCount = productSemiTrailerCount;
    }

    public String getAnnualRevenue()
    {
        return annualRevenue;
    }

    public void setAnnualRevenue(String annualRevenue)
    {
        this.annualRevenue = annualRevenue;
    }

    public String getCycleLife()
    {
        return cycleLife;
    }

    public void setCycleLife(String cycleLife)
    {
        this.cycleLife = cycleLife;
    }

    public BigDecimal getTotalInvestment()
    {
        return totalInvestment;
    }

    public void setTotalInvestment(BigDecimal totalInvestment)
    {
        this.totalInvestment = totalInvestment;
    }

    public String getEvaluationDimension()
    {
        return evaluationDimension;
    }

    public void setEvaluationDimension(String evaluationDimension)
    {
        this.evaluationDimension = evaluationDimension;
    }

    public Long getSchemeExplorationId() {
        return schemeExplorationId;
    }

    public void setSchemeExplorationId(Long schemeExplorationId) {
        this.schemeExplorationId = schemeExplorationId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Override
    public String toString() {
        return "Scheme{" +
                "id=" + id +
                ", schemeId='" + schemeId + '\'' +
                ", name='" + name + '\'' +
                ", schemePmf=" + schemePmf +
                ", combination='" + combination + '\'' +
                ", chargingCount='" + chargingCount + '\'' +
                ", dischargeCount='" + dischargeCount + '\'' +
                ", directCurrentCount='" + directCurrentCount + '\'' +
                ", tractionHeadCount='" + tractionHeadCount + '\'' +
                ", productSemiTrailerCount='" + productSemiTrailerCount + '\'' +
                ", annualRevenue='" + annualRevenue + '\'' +
                ", cycleLife='" + cycleLife + '\'' +
                ", totalInvestment=" + totalInvestment +
                ", evaluationDimension='" + evaluationDimension + '\'' +
                ", schemeExplorationId=" + schemeExplorationId +
                '}';
    }
}
